explain_iconv_close_or_die(3)

NAME
explain_iconv_close_or_die - deallocate conversion descriptor and report errors

SYNOPSIS
#include <libexplain/iconv_close.h>

void explain_iconv_close_or_die(iconv_t cd);
int explain_iconv_close_on_error(iconv_t cd);

DESCRIPTION
The explain_iconv_close_or_die function is used to call the iconv_close(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_iconv_close(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_iconv_close_on_error function is used to call the iconv_close(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_iconv_close(3) function, but still returns to the caller.

cd  The cd, exactly as to be passed to the iconv_close(3) system call.

RETURN VALUE
The explain_iconv_close_or_die function only returns on success, see iconv_close(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_iconv_close_on_error function always returns the value return by the wrapped iconv_close(3) system call.

EXAMPLE
The explain_iconv_close_or_die function is intended to be used in a fashion similar to the following example:
    explain_iconv_close_or_die(cd);

SEE ALSO

iconv_close(3)
    deallocate descriptor for character set conversion

explain_iconv_close(3)
    explain iconv_close(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2013 Peter Miller